Bug 850199 - Introduce new systemd-rpm macros in mcelog spec file
Introduce new systemd-rpm macros in mcelog spec file
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: mcelog (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:48 EDT by Lukáš Nykrýn
Modified: 2015-07-15 11:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.77 KB, patch)
2012-10-24 09:35 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:48:45 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-10-24 09:35:06 EDT
Created attachment 632787 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Prarit Bhargava 2013-08-14 08:14:46 EDT
Lukas,

My apologies for the long delay.  I've just pushed this to my internal fedora tree and will update later with build info.

P.
Comment 3 Lukáš Nykrýn 2013-08-14 08:29:35 EDT
Never mind and thanks!
Comment 5 Fedora End Of Life 2013-12-21 10:04:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jan Kurik 2015-07-15 11:02:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.